Bug 1386249 - [RFE][manila] CephFS Native Driver enhancements
Summary: [RFE][manila] CephFS Native Driver enhancements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 11.0 (Ocata)
Assignee: Tom Barron
QA Contact: Dustin Schoenbrun
Don Domingo
URL: https://blueprints.launchpad.net/mani...
Whiteboard:
Depends On:
Blocks: 1457275 1414595
TreeView+ depends on / blocked
 
Reported: 2016-10-18 13:38 UTC by Sean Cohen
Modified: 2017-05-31 12:48 UTC (History)
8 users (show)

Fixed In Version: openstack-manila-3.0.0-0.20160916162617.8f2fa31.el7ost
Doc Type: Enhancement
Doc Text:
This update provides enhancements to the CephFS Native Driver in conjunction with the core OpenStack File Share Service (manila) infrastructure. The CephFS Native driver now supports read-only shares and improves recovery mode by deleting backend rules not in the 'access_list'.
Clone Of:
Environment:
Last Closed: 2017-05-17 19:35:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 334010 None None None 2016-10-18 13:38:58 UTC
OpenStack gerrit 351843 None None None 2016-10-18 13:40:34 UTC

Description Sean Cohen 2016-10-18 13:38:59 UTC
* Add read-only support for shares of type 'cephfs'.
* Enhance update_access() :
     * In recovery mode, delete rules in the backend that are not in the 'access_list'.

Comment 8 errata-xmlrpc 2017-05-17 19:35:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.